Rest API - singletx

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Rest implementation of TxHandler allows you to send single transaction in xml, json or form url encoded format. It is not useful for any payment method that requires user interaction. Click REST API to see the rest api endpoints that are available.

Path Params
string
required

Site ID. Provided by txShield.

Form Data
string
required

md5 hash of sid+timestamp+amounttotal+currency+rcode e.g. md5('22'.'1234568995265421'.'17.00'.'USD'.'222b6c')

string
required

timestamp value used in the hash e.g. 1234568995265421

string

Merchant reference

string
required

Which paymethod to use. Look at the "getPaymentOptions" API call to see what paymethods are available and what payment fields need completeting.

string

The card number

string

The card 3/4 digit verification code

string

2 digit for the month. Please have leading zeroes e.g. 05

string

4 digit year i.e. 2016

string

The name printed on the card

string
required

First name of the customer.

string
required

Last name of the customer.

string
required

Email of the customer.

string

Phone of the customer. Please not most payment providers require this.

string

Billing street address

string

Billing suburb or city

string

Billing state, 2 letter code for US/Canada. Australia should use 2/3 letter codes.

string

Billing country, ISO 3166 2 digit code.

string

Billing postcode/zipcode.

string

Shipping street address

string

Shipping suburb or city

string

Shipping state, 2 letter code for US/Canada. Australia should use 2/3 letter codes.

string

Shipping country, ISO 3166 2 digit code.

string

Shipping postcode/zipcode.

item_quantity
array of strings
required

The Cart quantities for each line item

item_quantity*
item_name
object
item_description
object
item_amount_unit
object
double

The Cart shipping amount

double

The Cart discount amount

double

The Cart tax amount

string
required

Transaction currency, ISO 3 letter code

string

Transaction action eg, PAYMENT, PREAUTH

string

The URL of the page to recieve the postback.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json